Storage Items
Update storage item
Update storage item by ID
PUT
/
storage-items
/
{id}
Update storage item
curl --request PUT \
--url https://cookiechimp.com/api/v1/storage-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storage_item": {
"name": "_ga",
"storage_type": "cookie",
"description": "Used to distinguish users.",
"company_name": "Google",
"domain": ".example.com",
"duration": "2 years",
"partitioned": false,
"path": "/",
"samesite": "lax",
"category_id": "cat1"
}
}
'import requests
url = "https://cookiechimp.com/api/v1/storage-items/{id}"
payload = { "storage_item": {
"name": "_ga",
"storage_type": "cookie",
"description": "Used to distinguish users.",
"company_name": "Google",
"domain": ".example.com",
"duration": "2 years",
"partitioned": False,
"path": "/",
"samesite": "lax",
"category_id": "cat1"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storage_item: {
name: '_ga',
storage_type: 'cookie',
description: 'Used to distinguish users.',
company_name: 'Google',
domain: '.example.com',
duration: '2 years',
partitioned: false,
path: '/',
samesite: 'lax',
category_id: 'cat1'
}
})
};
fetch('https://cookiechimp.com/api/v1/storage-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "sto123",
"name": "_ga",
"storage_type": "cookie",
"category": {
"id": "cat1",
"name": "Analytics"
},
"service": {
"id": "svc1",
"name": "Google Analytics"
},
"description": "Used to distinguish users.",
"company_name": "Google",
"duration": "2 years",
"domain": ".example.com",
"partitioned": false,
"path": "/",
"samesite": "lax",
"wildcard_id": null,
"default_language": "en",
"last_seen_at": "2023-03-23T12:34:56Z",
"created_by": "scan",
"created_at": "2023-03-01T09:00:00Z",
"updated_at": "2023-03-23T12:34:56Z"
}
}{
"errors": [
{
"code": 401,
"message": "API key must belong to an account"
}
]
}{
"errors": [
{
"code": 404,
"message": "Record not found"
}
]
}{
"errors": [
{
"error": "Name can't be blank"
}
]
}{
"errors": [
{
"code": 429,
"message": "Too many requests. Please retry later."
}
]
}Authorizations
API token obtained from the login endpoint or the dashboard
Path Parameters
ID of the resource
Body
application/json
Storage item to update
Show child attributes
Show child attributes
Response
Updated storage item
Show child attributes
Show child attributes
Example:
{
"id": "sto123",
"name": "_ga",
"storage_type": "cookie",
"category": { "id": "cat1", "name": "Analytics" },
"service": { "id": "svc1", "name": "Google Analytics" },
"description": "Used to distinguish users.",
"company_name": "Google",
"duration": "2 years",
"domain": ".example.com",
"partitioned": false,
"path": "/",
"samesite": "lax",
"wildcard_id": null,
"default_language": "en",
"last_seen_at": "2023-03-23T12:34:56Z",
"created_by": "scan",
"created_at": "2023-03-01T09:00:00Z",
"updated_at": "2023-03-23T12:34:56Z"
}
Was this page helpful?
⌘I
Update storage item
